Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::iter_take_while_fn Struct Reference
Inheritance diagram for ranges::views::iter_take_while_fn:

## Synopsis of methods
constexpr iter_take_while_fn | iter_take_while {}

## Public Member Functions
template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Member Functions inherited from ranges::views::iter_take_while_base_fn
template<typename Rng , typename Pred >
constexpr iter_take_while_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const